Bug 72680 - virtual host editor doesn't set default document root
virtual host editor doesn't set default document root
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-httpd (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-26 12:20 EDT by Steve Fox
Modified: 2015-03-04 20:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-26 12:20:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Fox 2002-08-26 12:20:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
The virtual host editor doesn't not set the default document root even though it
is specified in the tool.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a new virtual host.
2. Input a directory for the default document root.
3. Exit tool, saving changes, and restart httpd
	

Actual Results:  The default document root remains /var/www/html as evidenced by
my /var/log/httpd/error_log file:

[Mon Aug 26 11:16:11 2002] [error] [client 127.0.0.1] File does not exist:
/var/www/html/test.html



Expected Results:  The document root should point to the test.html file in the
directory which I specified in the tool, which is outside of /var/www/html.

Additional info:

redhat-config-httpd-1.0.1-11
httpd-2.0.40-2
Comment 1 Phil Knirsch 2002-09-02 09:58:59 EDT
Just tested it and it works fine for me:

Entered /var/www/html/lala/ as Document Root in the default virtual host.
Saved the changes.
Restarted httpd.
Edited /var/www/html/lala/test.html with a text
mozilla http://localhost/test.html showed the contents of that file.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.